# Tasks

Create, assign, and manage tasks linked to deals and contacts.

**Base URL:** `https://api.trustpager.com/functions/v1/api/v1`

## Endpoints

### GET /tasks

List all tasks with filters.

**Scopes:** `tasks:read` — [full detail](./tasks/get-tasks.md)

### GET /tasks/:id

Retrieve a task.

**Scopes:** `tasks:read` — [full detail](./tasks/get-tasks-id.md)

### POST /tasks

Create a task. title is required.

**Scopes:** `tasks:write` — [full detail](./tasks/post-tasks.md)

### PATCH /tasks/:id

Update a task.

**Scopes:** `tasks:write` — [full detail](./tasks/patch-tasks-id.md)

### DELETE /tasks/:id

Delete a task.

**Scopes:** `tasks:write` — [full detail](./tasks/delete-tasks-id.md)

### GET /tasks/categories

List task categories.

**Scopes:** `tasks:read` — [full detail](./tasks/get-tasks-categories.md)

### POST /tasks/categories

Create a task category.

**Scopes:** `tasks:write` — [full detail](./tasks/post-tasks-categories.md)

### PATCH /tasks/categories/:id

Update a task category.

**Scopes:** `tasks:write` — [full detail](./tasks/patch-tasks-categories-id.md)

### DELETE /tasks/categories/:id

Delete a task category.

**Scopes:** `tasks:write` — [full detail](./tasks/delete-tasks-categories-id.md)

### POST /tasks/reorder

Reorder tasks by providing an array of task IDs in desired order.

**Scopes:** `tasks:write` — [full detail](./tasks/post-tasks-reorder.md)
